# ROSA FRESH Linux
# Что должно быть в системе для сборки rpm пакета
# sudo dnf -y install gcc gcc-c++ rpmrebuild rpm-build rpmdevtools rpmlint dnf-utils git libtool
# Вводим в терминал для построения древа сборки (Создаётся в домашней папке)
# rpmdev-setuptree
# Создаём файл spec и кладём в каталог rpmbuild/SPECS
# Архив/патчи/файлы кладём в каталог rpmbuild/SOURCES
# Установим зависимости, которые необходимы для сборки (BuildRequires)
# sudo dnf -y builddep rpmbuild/SPECS/kaspersky-virus-removal-tool.spec
# И собираем rpm (Двоичный пакет)
# rpmbuild -bb rpmbuild/SPECS/kaspersky-virus-removal-tool.spec
# Или src.rpm (Исходный пакет)
# rpmbuild -ba rpmbuild/SPECS/kaspersky-virus-removal-tool.spec

Name:           kaspersky-virus-removal-tool
Summary:        Kaspersky Virus Removal Tool
Summary(ru_RU.UTF-8):  Средство удаления вирусов Касперского
Group:          File tools
Version:        24.0.5.0
Release:        1
License:        © 2024 АО "Лаборатория Касперского"
Url:            https://www.kaspersky.ru/downloads/free-virus-removal-tool
Source1:        %{name}.svg
# Скачано с https://support.kaspersky.com/kk/images/New-B2C-Portfolio456-552502.svg
Source2:        %{name}.desktop
# Создан файл kaspersky-virus-removal-tool.desktop
# [Desktop Entry]
# Name=Kaspersky Virus Removal Tool
# Name[ru]=Средство удаления вирусов Касперского
# Comment=Powerful antivirus scanner for fighting viruses, Trojans, spyware and adware
# Comment[ru]=Мощный антивирусный сканер для борьбы с вирусами, троянами, шпионским и рекламным ПО
# Exec=kvrt.run -- -accepteula
# Icon=/usr/share/icons/hicolor/256x256/kaspersky-virus-removal-tool.svg
# Type=Application
# Terminal=true
Source3:        %{name}-autoupdate.sh
# Создан скрипт kaspersky-virus-removal-tool-autoupdate.sh
# #!/bin/bash
# wget2 -O /usr/bin/kvrt.run https://devbuilds.s.kaspersky-labs.com/kvrt_linux/latest/kvrt.run
Source4:        LICENSE.txt
# Скопировано с начального (первого после запуска kvrt.run) окна
Source5:        README.md
# Скачано с https://gist.github.com/v98765/9e8acf2ceb4bf8b453f2c94a553a1772
BuildArch:      noarch
Recommends:     wget2
Recommends:     cronie
Recommends:     cronie-anacron
Recommends:     crontabs

%description
This package contains a anacron script that deletes, downloads, and executes the kvrt.run file every week.
Kvrt.run is a powerful antivirus scanner for fighting viruses, Trojans, spyware and adware.
The launch is carried out in automatic compliance with the License Agreement, the Security Policy and the KSN Regulations.

%description -l ru_RU.UTF-8
Этот пакет содержит скрипт с заданием anacron, который удаляет, скачивает и делает исполняемым файл kvrt.run каждую неделю.
Kvrt.run — это мощный антивирусный сканер для борьбы с вирусами, троянами, шпионским и рекламным ПО.
Запуск производится с автоматическим согласием с Лицензионным соглашением, Политикой безопасности и Положением о KSN.

%files
%license LICENSE.txt
%doc README.md
%{_iconsdir}/hicolor/256x256/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/cron.weekly/%{name}-autoupdate.sh
#-----------------------------------------------
%prep

%build

%install
install -D -pm 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/256x256/%{name}.svg
install -D -pm 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -pm 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.weekly/%{name}-autoupdate.sh
install -D -pm 644 %{SOURCE4} %{buildroot}%{_datadir}/licenses/%{name}/LICENSE.txt
install -D -pm 644 %{SOURCE5} %{buildroot}%{_docdir}/%{name}/README.md

%post
%{_sysconfdir}/cron.weekly/%{name}-autoupdate.sh
chmod +x %{_bindir}/kvrt.run
systemctl enable --now crond

%postun
rm -r %{_localstatedir}/opt/KVRT2024_Data
rm %{_bindir}/kvrt.run
systemctl disable crond
